OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.VertexAttrib64Bit

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_vertex_attrib_64bit extension, see http://www.opengl.org/registry/specs/ARB/vertex_attrib_64bit.txt.

Synopsis

- glVertexAttribL1d :: GLuint -> GLdouble -> IO ()
- glVertexAttribL2d :: GLuint -> GLdouble -> GLdouble -> IO ()
- glVertexAttribL3d :: GLuint -> GLdouble -> GLdouble -> GLdouble -> IO ()
- glVertexAttribL4d :: GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> IO ()
- glVertexAttribL1dv :: GLuint -> Ptr GLdouble -> IO ()
- glVertexAttribL2dv :: GLuint -> Ptr GLdouble -> IO ()
- glVertexAttribL3dv :: GLuint -> Ptr GLdouble -> IO ()
- glVertexAttribL4dv :: GLuint -> Ptr GLdouble -> IO ()
- glVertexAttribLPointer :: GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> IO ()
- glGetVertexAttribLdv :: GLuint -> GLenum -> Ptr GLdouble -> IO ()
- gl_RGB32I :: GLenum
- gl_DOUBLE_VEC2 :: GLenum
- gl_DOUBLE_VEC3 :: GLenum
- gl_DOUBLE_VEC4 :: GLenum
- gl_DOUBLE_MAT2 :: GLenum
- gl_DOUBLE_MAT3 :: GLenum
- gl_DOUBLE_MAT4 :: GLenum
- gl_DOUBLE_MAT2x3 :: GLenum
- gl_DOUBLE_MAT2x4 :: GLenum
- gl_DOUBLE_MAT3x2 :: GLenum
- gl_DOUBLE_MAT3x4 :: GLenum
- gl_DOUBLE_MAT4x2 :: GLenum
- gl_DOUBLE_MAT4x3 :: GLenum

# Functions

glVertexAttribL1d :: GLuint -> GLdouble -> IO ()

glVertexAttribL2d :: GLuint -> GLdouble -> GLdouble -> IO ()

glVertexAttribL3d :: GLuint -> GLdouble -> GLdouble -> GLdouble -> IO ()

glVertexAttribL4d :: GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> IO ()

glVertexAttribL1dv :: GLuint -> Ptr GLdouble -> IO ()

glVertexAttribL2dv :: GLuint -> Ptr GLdouble -> IO ()

glVertexAttribL3dv :: GLuint -> Ptr GLdouble -> IO ()

glVertexAttribL4dv :: GLuint -> Ptr GLdouble -> IO ()

glVertexAttribLPointer :: GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> IO ()

glGetVertexAttribLdv :: GLuint -> GLenum -> Ptr GLdouble -> IO ()

# Tokens

gl_RGB32I :: GLenum

gl_DOUBLE_VEC2 :: GLenum

gl_DOUBLE_VEC3 :: GLenum

gl_DOUBLE_VEC4 :: GLenum

gl_DOUBLE_MAT2 :: GLenum

gl_DOUBLE_MAT3 :: GLenum

gl_DOUBLE_MAT4 :: GLenum

gl_DOUBLE_MAT2x3 :: GLenum

gl_DOUBLE_MAT2x4 :: GLenum

gl_DOUBLE_MAT3x2 :: GLenum

gl_DOUBLE_MAT3x4 :: GLenum

gl_DOUBLE_MAT4x2 :: GLenum

gl_DOUBLE_MAT4x3 :: GLenum